/* Toy cryptography tools. */
/* Last edited on 2013-09-03 13:45:05 by stolfi */

#ifndef cryptoy_H
#define cryptoy_H

#include <stdio.h>

#define cryptoy_H_copyright \
  "Copyright © 2013 Jorge Stolfi, State University of Campinas"

int cryptoy_xor_files(FILE *a, FILE *b, FILE *c);
  /* Writes for file {c} the bitwise XOR of the contents of files {a} and {b}.
    The files must be properly opened by the caller. Returns {-1} if read or write
    errors were detected, or file {a} is longer than file {b}. 
    Otherwise returns the number of bytes written to file {c}. */

#define cryptoy_H_rights \
  cryptoy_H_copyright ".\n" \
  "This file is provided 'as is'; the author and his employer are" \
  " not liable for any damages that may result from its use.  This" \
  " file can be used and modified for any purpose as long as" \
  " the copyright and this 'rights' note are preserved in" \
  " all copies and derived versions.";

#endif
